<?php

require_once 'Session.php';
require_once 'modelos/ModeloSession.php';
//if(!isset($_SESSION)){session_start();} 

class AccionSession {
	
	private $session = "";
	
	public function login($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();
		
		$session->setLogin($request['login']);
		$session->setPassword($request['password']);
		
		$response = $sessionModelo->iniciarSession($session);
		
		return $response;
	}
	
	public function get_menu($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();
		
		$session = $_SESSION['session_erp_user'];
		
		$response = $sessionModelo->construirMenuUsuario($session);
		
		return $response;		
	}
	
	public function logout($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();
		
		$session = $_SESSION['session_erp_user'];
		
		$response = $sessionModelo->logout($session);
		
		return $response;	
	}
	
	public function actualiza_datos($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$session = $_SESSION['session_erp_user'];		
		$response = $sessionModelo->actualizaDatos($session,$request);		
		return $response;		
	}
	
	public function obtener_usuarios($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->obtenerUsuarios($request);
		return $response;		
	}

	public function get_roles($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->getRoles($request);
		return $response;		
	}
	
	public function obtener_usuario($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->obtenerUsuario($request);
		return $response;		
	}

	public function get_rol($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->obtenerRol($request);
		return $response;		
	}
	
	public function obtener_acceso_usuario($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->obtenerAccesoUsuario($request);
		return $response;		
	}
	
	public function obtener_acceso_seccion_usuario($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->obtenerAccesoSeccionUsuario($request);
		return $response;		
	}


	public function obtener_opciones($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->obtenerOpciones($request);
		return $response;		
	}

	public function obtener_opcion($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->obtenerOpcion($request);
		return $response;		
	}

	public function obtener_secciones($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->obtenerSecciones($request);
		return $response;		
	}

	public function obtener_seccion($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->obtenerSeccion($request);
		return $response;		
	}
	public function obtener_opciones_padre_combo($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->getOpcionesPadreCombo($request);
		return $response;		
	}
	public function obtener_opciones_combo($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->getOpcionesCombo($request);
		return $response;		
	}

	public function obtener_sistemas_combo($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->getSistemasCombo($request);
		return $response;		
	}

	public function obtener_acceso_rol($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->obtenerAccesoRol($request);
		return $response;		
	}
	public function get_lista_operaciones($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->getListaOperaciones($request);
		return $response;		
	}

	public function obtener_acceso_seccion_rol($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->obtenerAccesoSeccionRol($request);
		return $response;		
	}

	public function save($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->save($request);
		return $response;		
	}

	public function save_rol($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->saveRol($request);
		return $response;		
	}

	public function save_operacion_nivel($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->saveOperacionNIvel($request);
		return $response;		
	}

	public function get_roles_combo($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->getRolesCombo($request);
		return $response;		
	}

	public function get_niveles_combo($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->getNivelesCombo($request);
		return $response;		
	}

	public function save_opcion($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->saveOpcion($request);
		return $response;		
	}

	public function save_seccion($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->saveSeccion($request);
		return $response;		
	}

	public function borrar_opcion($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->borrarOpcion($request);
		return $response;		
	}
	public function borrar_seccion($request){
		$session = new Session();
		$sessionModelo = new ModeloSession();		
		$response = $sessionModelo->borrarSeccion($request);
		return $response;		
	}
}

?>