<?php

require_once 'modelos/ModeloConf.php';
require_once 'Session.php';

//if(!isset($_SESSION)){session_start();} 

class Conf {
	
	function __construct() {
		//TODO - Insert your code here
	}

	public function get_lista_almacen($request){
		$articuloModelo = new ModeloConf();
		$response = $articuloModelo->getListaAlmacen($request);		
		return $response;		
	}
        
	public function get_ip_local($request){
		$articuloModelo = new ModeloConf();
		$response = $articuloModelo->obtenerIpLocal($request);		
		return $response;		
	}
        
	public function get_ip_remota($request){
		$articuloModelo = new ModeloConf();
		$response = $articuloModelo->obtenerIpRemota($request);		
		return $response;		
	}
        
	public function get_ips($request){
		$articuloModelo = new ModeloConf();
		$response = $articuloModelo->obtenerIps($request,$_SESSION['session_erp_user']);		
		return $response;		
	}
        
	public function get_enlaces_externos($request){
		$articuloModelo = new ModeloConf();
		$response = $articuloModelo->obtenerEnlacesExternos($_SESSION['session_erp_user'],$request);		
		return $response;		
	}
        
	public function listar_departamento($request){
		$articuloModelo = new ModeloConf();
		$response = $articuloModelo->listarDepartamento($request);		
		return $response;		
	}
        
	public function listar_tipo_usuario($request){
		$articuloModelo = new ModeloConf();
		$response = $articuloModelo->listarTipoUsuario($request);		
		return $response;		
	}
        
	public function listar_dashboard($request){
		$articuloModelo = new ModeloConf();
		$response = $articuloModelo->listarDashboard($request);		
		return $response;		
	}
        
	public function get_lista_conf($request){
		$articuloModelo = new ModeloConf();
		$response = $articuloModelo->getListaConf($request);		
		return $response;		
	}
        
        public function resultConfToArray($request){
            $bd = new BDControlador();
            $resultArray = array();
            
            
            while($row = $bd->fetch($request)){
                //$resultArray[] = array("'".$row['property']."'" => "'".$row['value']."'");
                $resultArray[$row['property']] = $row['value'];
            }
            return $resultArray;
        }
        
        public function getAllConf($request = ""){
            $bd = new BDControlador();
            $resultArray = array();
            $where = "";
            if($request != ""){
                $where = " where type = '".$request."'";
            }                
            $bd->setQuery("select property,value from erp_conf.conf ".$where);
            $result = $bd->ejecutarSql();
            
            while($row = $bd->fetch($result)){
                $resultArray[$row['property']] = $row['value'];
                //$resultArray[] = $row;
            }
            return json_encode($resultArray);
        }
        
	public function save($request){
		$articuloModelo = new ModeloConf();
		$response = $articuloModelo->save($_SESSION['session_erp_user'],$request);		
		return $response;		
	}

	public function get_actualizaciones_pendientes($request){
		$articuloModelo = new ModeloConf();
		$response = $articuloModelo->getActualizacionesPendientes($request);		
		return $response;		
	}

	public function get_actualizaciones_hechas($request){
		$articuloModelo = new ModeloConf();
		$response = $articuloModelo->getActualizacionesHechas($request);		
		return $response;		
	}

	public function get_bds($request){
		$articuloModelo = new ModeloConf();
		$response = $articuloModelo->getBds($request);		
		return $response;		
	}

	public function actualizar_bd($request){
		$articuloModelo = new ModeloConf();
		$response = $articuloModelo->actualizarBd($request);		
		return $response;		
	}
}
?>