var fields_solicitud_sustitucion = [
	{ mapping:'caso_id', name:'caso_id'   , type: 'int'     },
	{ mapping:'tipo_caso_id', name:'tipo_caso_id'   , type: 'int'     },
	{ mapping:'tipo_caso', name:'tipo_caso'   , type: 'string'     },
	{ mapping:'numero_caso',     name:'numero_caso'       , type: 'int'  },
	{ mapping:'observaciones',     name:'observaciones'       , type: 'string'  },
	{ mapping:'observaciones_act',     name:'observaciones_act'       , type: 'string'  },
	{ mapping:'status', name:'status'   , type: 'string'     },
	{ mapping:'usuario_id', name:'usuario_id'   , type: 'int'     },
	{ mapping:'usuario_nombre',     name:'usuario_nombre'       , type: 'string'  },
	// detalle de contenedor
	{ mapping:'caso_det_id', name:'caso_det_id'   , type: 'int'     },
        { mapping:'grupo_id', name:'grupo_id'   , type: 'int'     },
	{ mapping:'cantidad', name:'cantidad'   , type: 'int'     },
	{ mapping:'cantidad_componente', name:'cantidad_componente'   , type: 'int'     },
	{ mapping:'cantidad_original', name:'cantidad_original'   , type: 'int'     },
	{ mapping:'documento', name:'documento'   , type: 'int'     },
	{ mapping:'tipo_documento', name:'tipo_documento'   , type: 'int'     },
	{ mapping:'periodo', name:'periodo'   , type: 'string'     },
	{ mapping:'motivo', name:'motivo'   , type: 'string'     },
	{ mapping:'fecha_registro',     name:'fecha_registro', type: 'date', dateFormat: 'Y-m-d g:i:s'},
	{ mapping:'fecha_modificacion',     name:'fecha_modificacion', type: 'date', dateFormat: 'Y-m-d g:i:s'},
	{ mapping:'propuesta_lrs', name:'propuesta_lrs'   , type: 'int'     },
	{ mapping:'propuesta_fds', name:'propuesta_fds'   , type: 'int'     },
	{ mapping:'propuesta_val', name:'propuesta_val'   , type: 'int'     },
	{ mapping:'aceptada_lrs', name:'aceptada_lrs'   , type: 'int'     },
	{ mapping:'aceptada_fds', name:'aceptada_fds'   , type: 'int'     },
	{ mapping:'aceptada_val', name:'aceptada_val'   , type: 'int'     },
	{ mapping:'propuesta', name:'propuesta'   , type: 'int'     },
	{ mapping:'aceptada', name:'aceptada'   , type: 'int'     },
	{ mapping:'aceptada_act', name:'aceptada_act'   , type: 'int'     },
	{ mapping:'saldo', name:'saldo'   , type: 'int'     },
	{ mapping:'saldo_aceptado', name:'saldo_aceptado'   , type: 'int'     },
        { mapping:'cantidad_total_aceptada_opcion', name:'cantidad_total_aceptada_opcion'   , type: 'int'     },
	{ mapping:'sust_id', name:'sust_id'   , type: 'int'     },
	{ mapping:'opcion_sustituto', name:'opcion_sustituto'   , type: 'string'     },
        { mapping:'status_propuesto', name:'status_propuesto'   , type: 'string'     },
        { mapping:'status_respuesta', name:'status_respuesta'   , type: 'string'     },
	{ mapping:'sinc_q', name:'sinc_q'   , type: 'int'     },
        { mapping:'sinc_q_liberar', name:'sinc_q_liberar'   , type: 'int'     },
        { mapping:'has_comment', name:'has_comment'   , type: 'int'     },
        { mapping:'liberar', name:'liberar'   , type: 'int'     },
        { mapping:'liberar_act', name:'liberar_act'   , type: 'int'     },
        { mapping:'nota_entrega_id', name:'nota_entrega_id'   , type: 'int'     },
        { mapping:'nota_entrega', name:'nota_entrega'   , type: 'string'     }
];

var fields_despacho = [
                        { mapping:'nota_entrega_id', name:'nota_entrega_id'   , type: 'int'     },
                   	{ mapping:'nota_entrega', name:'nota_entrega'   , type: 'string'     },
                	{ mapping:'carga', name:'carga'   , type: 'string'     },
                	{ mapping:'carga_id', name:'carga_id'   , type: 'int'     },
                	{ mapping:'almacen', name:'almacen'   , type: 'string'     },
                	{ mapping:'almacen_id', name:'almacen_id'   , type: 'int'     },
                        { mapping:'cantidad', name:'cantidad'   , type: 'int'     },
                        { mapping:'fecha',     name:'fecha', type: 'date', dateFormat: 'Y-m-d'},
                        { mapping:'sap_doc_entry', name:'sap_doc_entry'   , type: 'int'     },
                        { mapping:'sap_line_num', name:'sap_line_num'   , type: 'int'     }
                ];

var fields_articulo = [
        { mapping:'item_id', name:'item_id'   , type: 'string'     },
	{ mapping:'codigo_item', name:'codigo_item'   , type: 'string'     },
	{ mapping:'descripcion_item', name:'descripcion_item'   , type: 'string'     },
	{ mapping:'marca', name:'marca'   , type: 'string'     },
	{ mapping:'modelo', name:'modelo'   , type: 'string'     },
	{ mapping:'clase', name:'clase'   , type: 'string'     },
	{ mapping:'padre', name:'padre'   , type: 'string'     },
	//{ mapping:'cantidad', name:'cantidad'   , type: 'int'     },
	{ mapping:'precio_con_flete', name:'precio_con_flete'   , type: 'float'     },
	{ mapping:'precio_con_flete_original', name:'precio_con_flete_original'   , type: 'float'     },
	{ mapping:'status', name:'status'   , type: 'string'     },
	{ mapping:'compuesto', name:'compuesto'   , type: 'string'     },
	{ mapping:'imagen', name:'imagen'   , type: 'string'     },
	{ mapping:'existencia_lrs', name:'existencia_lrs'   , type: 'int'     },
	{ mapping:'existencia_fds', name:'existencia_fds'   , type: 'int'     },
	{ mapping:'existencia_val', name:'existencia_val'   , type: 'int'     },
	{ mapping:'existe_en', name:'existe_en'   , type: 'string'     },
	{ mapping:'existencia_total', name:'existencia_total'   , type: 'int'     },
        { mapping:'existe_solicitado', name:'existe_solicitado'   , type: 'int'     },
        { mapping:'frecuencia', name:'frecuencia'   , type: 'int'     }
];

var fields_almacen = [
        { mapping:'almacen_id', name:'almacen_id'   , type: 'int'     },
	{ mapping:'almacen', name:'almacen'   , type: 'string'     }
];

var fields_documento = [
                    { mapping:'linea', name:'linea'   , type: 'int'     },
                   	{ mapping:'toper', name:'toper'   , type: 'string'     },
                	{ mapping:'documento', name:'documento'   , type: 'string'     },
                	{ mapping:'fecha', name:'fecha'   , type: 'string'},
                        { mapping:'codperiodo', name:'codperiodo'   , type: 'string'     },
                	{ mapping:'periodo', name:'periodo'   , type: 'string'     },
                	{ mapping:'year', name:'year'   , type: 'int'     },
                	{ mapping:'almacen', name:'almacen'   , type: 'string'     },
                	{ mapping:'almacen_id', name:'almacen_id'   , type: 'int'     }
                ];

var fields_comentario = [
                        { mapping:'comentario_id', name:'comentario_id'   , type: 'int'     },
                       	{ mapping:'comentario', name:'comentario'   , type: 'string'     },
                    	{ mapping:'create_time', name:'create_time'   , type: 'date', dateFormat: 'Y-m-d g:i:s'    },
                       	{ mapping:'imagen_user', name:'imagen_user'   , type: 'string'     }
                    ];
                    

var fields_usuario = [

                  		{ mapping:'nombre_usuario',     name:'nombre_usuario', type: 'string'  },
                        { mapping:'nombreyapellido',     name:'nombreyapellido', type: 'string'  },
                        { mapping:'empresa',     name:'empresa', type: 'string'  },
                        { mapping:'usuario',     name:'usuario', type: 'string'  },
                         	{ mapping:'usuario_id', name:'usuario_id'   , type: 'int'     },
                            { mapping:'cod_usuario', name:'cod_usuario'   , type: 'int'     },
                            { mapping:'cod_empresa', name:'cod_empresa'   , type: 'int'     },
                            { mapping:'nivel_id', name:'nivel_id'   , type: 'int'     },
                            { mapping:'cod_rol', name:'cod_rol'   , type: 'int'     },
                                { mapping:'depto_id', name:'depto_id'   , type: 'int'     },
                                { mapping:'tipo_usr_id', name:'tipo_usr_id'   , type: 'int'     },
                        	{ mapping:'password', name:'password'   , type: 'string'     },
                            { mapping:'clave', name:'clave'   , type: 'string'     },
                        	{ mapping:'email', name:'email'   , type: 'string'},
                                { mapping:'status', name:'status'   , type: 'string'},
                                { mapping:'login', name:'login'   , type: 'string'},
                        	{ mapping:'imagen_user', name:'imagen_user'   , type: 'string'     },
                        	{ mapping:'departamento', name:'departamento'   , type: 'string'     },
                        	{ mapping:'tipo_usuario', name:'tipo_usuario'   , type: 'string'     },
                                { mapping:'menu_id', name:'menu_id'   , type: 'int'     },
                                { mapping:'acceso', name:'acceso'   , type: 'int'     },
                                { mapping:'acceso_act', name:'acceso_act'   , type: 'int'     },
                                { mapping:'dashborad', name:'dashborad'   , type: 'string'     },
                                { mapping:'dash_id', name:'dash_id'   , type: 'int'     }
                     ];

var fields_cliente = [
                 	{ mapping:'cliente_id', name:'cliente_id'   , type: 'string'     },
                 	{ mapping:'cliente', name:'cliente'   , type: 'string'     },
                 	{ mapping:'id', name:'id'   , type: 'string'     },
                 	{ mapping:'nombre', name:'nombre'   , type: 'string'     },
                        { mapping:'nombre_zona', name:'nombre_zona'   , type: 'string'     },
                	{ mapping:'categoria', name:'categoria'   , type: 'string'     },
                	{ mapping:'estado', name:'estado'   , type: 'string'     },
                	{ mapping:'ciudad', name:'ciudad'   , type: 'string'     },
                	{ mapping:'direccion', name:'direccion'   , type: 'string'     },
                	{ mapping:'telefonos', name:'telefonos'   , type: 'string'     },
                	{ mapping:'email', name:'email'   , type: 'string'     },
                	{ mapping:'idgerreg', name:'idgerreg'   , type: 'string'     },
                	{ mapping:'id_vice', name:'id_vice'   , type: 'string'}
                ];

var fields_direccion = [
                 	{ mapping:'dir_id', name:'dir_id'   , type: 'int'     },
                 	{ mapping:'tipo_loc_id', name:'tipo_loc_id'   , type: 'int'     },
                 	{ mapping:'numero_locacion', name:'numero_locacion'   , type: 'string'     },
                 	{ mapping:'locacion', name:'locacion'   , type: 'string'     },
                	{ mapping:'calle', name:'calle'   , type: 'string'     },
                	{ mapping:'avenida', name:'avenida'   , type: 'string'     },
                	{ mapping:'sector', name:'sector'   , type: 'string'     },
                	{ mapping:'ciudad', name:'ciudad'   , type: 'string'     },
                	{ mapping:'estado', name:'estado'   , type: 'string'     },
                	{ mapping:'pais', name:'pais'   , type: 'int'     },
                	{ mapping:'referencia', name:'referencia'   , type: 'string'     }
                ];

var fields_menu = [
                     	{ mapping:'modulo_padre', name:'modulo_padre'   , type: 'int'     },
                        { mapping:'menu_id', name:'menu_id'   , type: 'int'     },
                        { mapping:'segundo_nivel', name:'segundo_nivel'   , type: 'int'     },
                        { mapping:'nivel_seccion', name:'nivel_seccion'   , type: 'int'     },
                        { mapping:'cod_modulo', name:'cod_modulo'   , type: 'int'     },
                        { mapping:'cod_subseccion', name:'cod_subseccion'   , type: 'int'     },
                        { mapping:'visible', name:'visible'   , type: 'int'     },
                        { mapping:'cod_seccion', name:'cod_seccion'   , type: 'int'     },
                        { mapping:'acceso', name:'acceso'   , type: 'int'     },
                        { mapping:'acceso_act', name:'acceso_act'   , type: 'int'     },
                        { mapping:'orden', name:'orden'   , type: 'int'     },
                     	{ mapping:'modulo', name:'modulo'   , type: 'int'     },
                    	{ mapping:'nombre_menu', name:'nombre_menu'   , type: 'string'     },
                        { mapping:'opt_subseccion', name:'opt_subseccion'   , type: 'string'     },
                        { mapping:'descripcion', name:'descripcion'   , type: 'string'     },
                        { mapping:'nom_menu', name:'nom_menu'   , type: 'string'     },
                        { mapping:'sistema', name:'sistema'   , type: 'string'     },
                        { mapping:'cod_sistema', name:'cod_sistema'   , type: 'int'     },
                        { mapping:'ruta_imagen', name:'ruta_imagen'   , type: 'string'     },
                    	{ mapping:'nombre_usuario', name:'nombre_usuario'   , type: 'string'     },
                    	{ mapping:'opcion_menu', name:'opcion_menu'   , type: 'string'     },
                    	{ mapping:'enlace_menu', name:'enlace_menu'   , type: 'string'     },
                    	{ mapping:'enlace_opcion', name:'enlace_opcion'   , type: 'string'     },
                        { mapping:'clase', name:'clase'   , type: 'string'     },
                    	{ mapping:'idmod', name:'idmod'   , type: 'string'     },
                    	{ mapping:'id_cmp_to_add', name:'id_cmp_to_add'   , type: 'string'     }
                    ];

var fields_nivel = [
                    { mapping:'operacion_id', name:'operacion_id'   , type: 'int'     },
                    { mapping:'nivel_id', name:'nivel_id'   , type: 'int'     },
                    { mapping:'descripcion', name:'descripcion'   , type: 'string'     },
]                    

var fields_devolucion = [
                        { mapping:'devolucion_id_remota', name:'devolucion_id_remota'   , type: 'int'     },
                        { mapping:'devolucion_id', name:'devolucion_id'   , type: 'int'     },
                        { mapping:'devolucion_det_id', name:'devolucion_det_id'   , type: 'int'     },
                        { mapping:'numero_devolucion', name:'numero_devolucion'   , type: 'int'     },
                        { mapping:'almacen_id', name:'almacen_id'   , type: 'int'     },
                       	{ mapping:'fecha', name:'fecha'   , type: 'date'  ,dateFormat: 'Y-m-d'    },
                       	{ mapping:'fecha_recepcion', name:'fecha_recepcion  '   , type: 'date' ,dateFormat: 'Y-m-d'     },
                    	{ mapping:'import_time', name:'import_time'   , type: 'date', dateFormat: 'Y-m-d g:i:s'    },
                        { mapping:'update_time', name:'update_time'   , type: 'date', dateFormat: 'Y-m-d g:i:s'    },
                        { mapping:'status_registro', name:'status_registro'   , type: 'string'     },
                        { mapping:'almacen_destino_des', name:'almacen_destino_des'   , type: 'string'     },
                        { mapping:'item_id_original', name:'item_id_original'   , type: 'string'},
                        { mapping:'item_original', name:'item_original'   , type: 'string'},
                        { mapping:'observacion_salida', name:'observacion_salida'   , type: 'string'},
                        { mapping:'motivo', name:'motivo'   , type: 'string'     },
                        { mapping:'cantidad', name:'cantidad'   , type: 'int'     },
                        { mapping:'validable', name:'validable'   , type: 'int'     },
                        { mapping:'status_id', name:'status_id'   , type: 'int'     },
                        { mapping:'maximo', name:'maximo'   , type: 'int'     },
                        { mapping:'recibido', name:'recibido'   , type: 'int'     },
                        { mapping:'nota_entrega_id', name:'nota_entrega_id'   , type: 'int'     },
                        { mapping:'nota_entrega', name:'nota_entrega'   , type: 'string'     },
                        { mapping:'no_procesada', name:'no_procesada'   , type: 'string'     },
                        { mapping:'marca_item', name:'marca_item'   , type: 'string'     },
                        { mapping:'modelo_item', name:'modelo_item'   , type: 'string'     },
                        { mapping:'has_comments', name:'has_comments'   , type: 'int'     },
                        { mapping:'new_comments', name:'new_comments'   , type: 'int'     },
                        { mapping:'cxc', name:'cxc'   , type: 'int'     },
                        { mapping:'need_to_add_to_web', name:'need_to_add_to_web'   , type: 'int'     },
                        { mapping:'carga', name:'carga'   , type: 'string'},
                        { mapping:'carga_id', name:'carga_id'   , type: 'int'     },
                        { mapping:'WhsCode', name:'WhsCode'   , type: 'string'},
                        { mapping:'devolucion_nota', name:'devolucion_nota'   , type: 'string'},
                        { mapping:'almacen_salida', name:'almacen_salida'   , type: 'string'}
                    ];
                    
var fields_mail_list = [
                        { mapping:'comentario_id', name:'comentario_id'   , type: 'int'     },
                       	{ mapping:'comentario', name:'comentario'   , type: 'string'     },
                    	{ mapping:'create_time', name:'create_time'   , type: 'date', dateFormat: 'Y-m-d g:i:s'    },
                       	{ mapping:'imagen_user', name:'imagen_user'   , type: 'string'     },
                        { mapping:'fecha_inicio', name:'fecha_inicio'   , type: 'date', dateFormat: 'Y-m-d g:i:s'    },
                        { mapping:'fecha_fin', name:'fecha_fin'   , type: 'date', dateFormat: 'Y-m-d g:i:s'    }
                    ];
                    
var fields_lanzamiento = [
                        { mapping:'lzreg_id', name:'lzreg_id'   , type: 'int'     },
                        { mapping:'lanzamiento_id', name:'lanzamiento_id'   , type: 'int'     },
                        { mapping:'cnf_id', name:'cnf_id'   , type: 'int'     },
                       	{ mapping:'descripcion', name:'descripcion'   , type: 'string'     },
                        { mapping:'tipo_coleccion', name:'tipo_coleccion'   , type: 'string'     },
                       	{ mapping:'periodo', name:'periodo'   , type: 'string'     },
                    	{ mapping:'fecha_creacion', name:'fecha_creacion'   , type: 'date', dateFormat: 'Y-m-d g:i:s'    },
                    	{ mapping:'fecha_fin_periodo', name:'fecha_fin_periodo'   , type: 'date', dateFormat: 'Y-m-d'    },
                        { mapping:'publico', name:'publico'   , type: 'int'     },
                        { mapping:'activo', name:'activo'   , type: 'int'     },
                        { mapping:'reporte_id', name:'reporte_id'   , type: 'int'     },
                        { mapping:'promocion_dist_actual', name:'promocion_dist_actual'   , type: 'int'     },
                        { mapping:'tipo', name:'tipo'   , type: 'string'     },
                        { mapping:'ganancia_vendedor', name:'ganancia_vendedor'   , type: 'float'     },
                        { mapping:'ganancia_distribuidor', name:'ganancia_distribuidor'   , type: 'float'     },
                        { mapping:'ganancia_junior', name:'ganancia_junior'   , type: 'float'     },
                        { mapping:'ganancia_vip', name:'ganancia_vip'   , type: 'float'     },
                        { mapping:'ganancia_zona', name:'ganancia_zona'   , type: 'float'     },
                        { mapping:'costo_coleccion', name:'costo_coleccion'   , type: 'float'     },
                        { mapping:'parametros', name:'parametros'   , type: 'string'     },
                       	{ mapping:'tipo_descripcion', name:'tipo_descripcion'   , type: 'string'     },
                        { mapping:'sync_to_web', name:'sync_to_web'   , type: 'int'     },
                        { mapping:'min_dis', name:'min_dis'   , type: 'int'     },
                        { mapping:'max_dis', name:'max_dis'   , type: 'int'     },
                        { mapping:'min_jun', name:'min_jun'   , type: 'int'     },
                        { mapping:'max_jun', name:'max_jun'   , type: 'int'     },
                        { mapping:'min_vip', name:'min_vip'   , type: 'int'     },
                        { mapping:'max_vip', name:'max_vip'   , type: 'int'     },
                        { mapping:'min_zon', name:'min_zon'   , type: 'int'     }
                    ];     
                    
var fields_enlaces = [

                                { mapping:'descripcion',     name:'descripcion', type: 'string'  },
                         	{ mapping:'url', name:'url'   , type: 'string'     },
                                { mapping:'url_tps_id', name:'url_tps_id'   , type: 'int'     },
                                { mapping:'url_tps_param_id', name:'url_tps_param_id'   , type: 'int'     },
                        	{ mapping:'system', name:'system'   , type: 'string'     },
                        	{ mapping:'params', name:'params'   , type: 'string'},
                        	{ mapping:'user', name:'user'   , type: 'string'     },
                        	{ mapping:'password', name:'password'   , type: 'string'     }
                     ];                    

                    
var fields_reportes = [
                      	{ mapping:'descripcion', name:'descripcion'   , type: 'string'     },
                        { mapping:'output', name:'output'   , type: 'string'     },
                        { mapping:'resume_reporte', name:'resume_reporte'   , type: 'string'     },
                      	{ mapping:'tipo', name:'tipo'   , type: 'string'     },
                        { mapping:'parametros', name:'parametros'   , type: 'string'     },
                      	{ mapping:'parametros_solicitar', name:'parametros_solicitar'   , type: 'string'     }    ,
                      	{ mapping:'mes', name:'mes'   , type: 'string'     },
                      	{ mapping:'tipo_reporte', name:'tipo_reporte'   , type: 'int'     },
                        { mapping:'group_id', name:'group_id'   , type: 'int'     },
                        { mapping:'group', name:'group'   , type: 'string'     },
                    	{ mapping:'fecha_inicio', name:'fecha_inicio'   , type: 'date', dateFormat: 'Y-m-d'    },
                    	{ mapping:'fecha_fin', name:'fecha_fin'   , type: 'date', dateFormat: 'Y-m-d'    } ,
                    	{ mapping:'fecha_inicio_periodo', name:'fecha_inicio_periodo'   , type: 'date', dateFormat: 'Y-m-d'    },
                    	{ mapping:'fecha_fin_periodo', name:'fecha_fin_periodo'   , type: 'date', dateFormat: 'Y-m-d'    },
                        { mapping:'lock_periodo', name:'lock_periodo'   , type: 'int'     },
                        { mapping:'check_end_date', name:'check_end_date'   , type: 'int'     }
                      ];                    
  
  

                    
var fields_commet = [
                        { mapping:'comment_id', name:'comment_id'   , type: 'int'     },
                        { mapping:'remote_comment_id', name:'remote_comment_id'   , type: 'int'     },
                       	{ mapping:'create_time', name:'create_time'   , type: 'date', dateFormat: 'Y-m-d g:i:s'    },
                        { mapping:'synced_time', name:'synced_time'   , type: 'date', dateFormat: 'Y-m-d g:i:s'    },
                        { mapping:'created_by_id', name:'created_by_id'   , type: 'string'     },
                        { mapping:'created_by_name', name:'created_by_name'   , type: 'string'},          
                        { mapping:'generic_parent_id', name:'generic_parent_id'   , type: 'int'     },
                        { mapping:'generic_parent_description', name:'generic_parent_description'   , type: 'string'},
                        { mapping:'subject', name:'subject'   , type: 'string'},
                        { mapping:'message', name:'message'   , type: 'string'},
                        { mapping:'readed', name:'readed'   , type: 'int'     },
                        { mapping:'synced', name:'synced'   , type: 'int'     },
                        { mapping:'synced', name:'synced'   , type: 'int'     },
                        { mapping:'avatar_image', name:'avatar_image'   , type: 'string'},
                        { mapping:'unread_messages', name:'unread_messages'   , type: 'int'     }
                    ]; 
                    
var fields_reclamo = [
                        { mapping:'cerrados', name:'cerrados'   , type: 'int'     },
                        { mapping:'abiertos', name:'abiertos'   , type: 'int'     },
                        { mapping:'id_reclamo', name:'id_reclamo'   , type: 'int'     },
                        { mapping:'codigo', name:'codigo'   , type: 'int'     },
                        { mapping:'codigoS', name:'codigoS'   , type: 'string'     },
                        { mapping:'cliente', name:'cliente'   , type: 'string'     },
                        { mapping:'apenom', name:'apenom'   , type: 'string'     },
                        { mapping:'fecha_foro', name:'fecha_foro'   , type: 'string'     },
                        { mapping:'hora_foro', name:'hora_foro'   , type: 'string'     },
                        { mapping:'zona', name:'zona'   , type: 'string'     },
                    	{ mapping:'fecha_registro', name:'fecha_registro'   , type: 'date', dateFormat: 'Y-m-d g:i:s'    },
                        { mapping:'nota', name:'nota'   , type: 'string'     },
                       	{ mapping:'fechanota', name:'fechanota'   , type: 'date'  ,dateFormat: 'Y-m-d'    },
                       	{ mapping:'fecha_cierre', name:'fecha_cierre'   , type: 'date'  ,dateFormat: 'Y-m-d'    },
                        { mapping:'observaciones', name:'observaciones'   , type: 'string'     },
                        { mapping:'periodo', name:'periodo'   , type: 'string'     },
                        { mapping:'distribuidor', name:'distribuidor'   , type: 'string'     },
                        { mapping:'tipo', name:'tipo'   , type: 'string'     },
                        { mapping:'tipo_nota', name:'tipo_nota'   , type: 'string'     },
                        { mapping:'status', name:'status'   , type: 'string'     },
                        { mapping:'status_cierre', name:'status_cierre'   , type: 'string'     },
                        { mapping:'creado', name:'creado'   , type: 'string'     },
                        { mapping:'cerrado', name:'cerrado'   , type: 'string'     },
                        { mapping:'cierre_forzado', name:'cierre_forzado'   , type: 'string'     },
                        { mapping:'leido', name:'leido'   , type: 'string'     },
                        { mapping:'status_anulado', name:'status_anulado'   , type: 'string'     },
                        { mapping:'usuario_id', name:'usuario_id'   , type: 'string'     },
                        { mapping:'analista', name:'analista'   , type: 'string'     },
                        { mapping:'motivo_anulacion', name:'motivo_anulacion'   , type: 'string'     },
                        { mapping:'adjunto', name:'adjunto'   , type: 'string'     },
                       	{ mapping:'fecha_status', name:'fecha_status'   , type: 'date' ,dateFormat: 'Y-m-d g:i:s'},
                       	{ mapping:'fecha_cierre_lider', name:'fecha_cierre_lider  '   , type: 'date' ,dateFormat: 'Y-m-d g:i:s'},
                       	{ mapping:'fecha_asignacion', name:'fecha_asignacion  '   , type: 'date' ,dateFormat: 'Y-m-d g:i:s'},
                       	{ mapping:'fecha_anulacion', name:'fecha_anulacion  '   , type: 'date' ,dateFormat: 'Y-m-d g:i:s'},
                        { mapping:'analista_asignado', name:'analista_asignado'   , type: 'int'     },
                        /* DETALLE DE RECLAMO*/
                        { mapping:'linea', name:'linea'   , type: 'int'     },
                        { mapping:'regalo', name:'regalo'   , type: 'int'     },
                        { mapping:'cantidad', name:'cantidad'   , type: 'int'     },
                        { mapping:'clase', name:'clase'   , type: 'string'     },
                        { mapping:'descripcion', name:'descripcion'   , type: 'string'     },
                        { mapping:'motivo', name:'motivo'   , type: 'string'     },
                        { mapping:'delete_usr', name:'delete_usr'   , type: 'string'     },
                        { mapping:'usuario_id_depto_fac', name:'usuario_id_depto_fac'   , type: 'string'     },
                        { mapping:'cantidad', name:'cantidad'   , type: 'int'     },
                        { mapping:'agregado', name:'agregado'   , type: 'int'     },
                       	{ mapping:'create_time', name:'create_time  '   , type: 'date' ,dateFormat: 'Y-m-d g:i:s'},
                       	{ mapping:'delete_time', name:'delete_time  '   , type: 'date' ,dateFormat: 'Y-m-d g:i:s'},
                       	{ mapping:'fecha_depto_fac', name:'fecha_depto_fac  '   , type: 'date' ,dateFormat: 'Y-m-d g:i:s'},
                        { mapping:'depto_id', name:'depto_id'   , type: 'int'     },
                        { mapping:'last_comment_from', name:'last_comment_from'   , type: 'string'     },
                        { mapping:'hasFile', name:'hasFile'   , type: 'string'     },
                        { mapping:'new_comments', name:'new_comments'   , type: 'int'     }
                    ];

var fields_reclamo_comments = [
                        { mapping:'linea', name:'linea'   , type: 'int'     },
                        { mapping:'file_com_id', name:'file_com_id'   , type: 'int'     },
                        { mapping:'id_reclamo', name:'id_reclamo'   , type: 'int'     },
                        { mapping:'id', name:'id'   , type: 'string'     },
                        { mapping:'tipo_usuario', name:'tipo_usuario'   , type: 'string'     },
                        { mapping:'avatar_image', name:'avatar_image'   , type: 'string'     },
                        { mapping:'mensaje', name:'mensaje'   , type: 'string'     },
                        { mapping:'archivo', name:'archivo'   , type: 'string'     },
                        { mapping:'file', name:'file'   , type: 'string'     },
                        { mapping:'fecha', name:'fecha'   , type: 'date'  ,dateFormat: 'Y-m-d'    },
                    	{ mapping:'hora', name:'hora'   , type: 'date', dateFormat: 'g:i:s'    },
                    	{ mapping:'create_time', name:'create_time'   , type: 'date', dateFormat: 'Y-m-d g:i:s'    },
                    ];

var fields_conf = [
                        { mapping:'conf_id', name:'conf_id'   , type: 'int'     },
                   	{ mapping:'type', name:'type'   , type: 'string'     },
                	{ mapping:'property', name:'property'   , type: 'string'     },
                	{ mapping:'value', name:'value'   , type: 'string'     },
                	{ mapping:'create_time', name:'create_time'   , type: 'date', dateFormat: 'Y-m-d g:i:s'     },
                        { mapping:'modify_time', name:'modify_time'   , type: 'date'     }
                ];
var fields_rol = [
                    { mapping:'cod_rol', name:'cod_rol'   , type: 'int'     },
                    { mapping:'cod_empresa', name:'cod_empresa'   , type: 'int'     },
                    { mapping:'descripcion', name:'descripcion'   , type: 'string'     },
                    { mapping:'rol', name:'rol'   , type: 'string'     }
                ];                

var fields_datos_empresa = [
        { mapping:'cod_datos_empresa', name:'cod_datos_empresa', type: 'int'},
        { mapping:'alias_opcion', name:'alias_opcion', type: 'string'},
        { mapping:'cod_empresa', name:'cod_empresa', type: 'int'},
        { mapping:'codigo', name:'codigo', type: 'int'},
        { mapping:'nombre_empresa', name:'nombre_empresa', type: 'string'},
        { mapping:'nombre_sistema', name:'nombre_sistema', type: 'string'},
        { mapping:'nombre', name:'nombre', type: 'string'},
        { mapping:'direccion', name:'direccion', type: 'string'},
        { mapping:'ciudad', name:'ciudad', type: 'string'},
        { mapping:'estado', name:'estado', type: 'string'},
        { mapping:'zona_postal', name:'zona_postal', type: 'string'},
        { mapping:'telefonos', name:'telefonos', type: 'string'},
        { mapping:'rif', name:'rif', type: 'string'},
        { mapping:'nit', name:'nit', type: 'string'},
        { mapping:'rep_legal', name:'rep_legal', type: 'string'},
        { mapping:'img_izq', name:'img_izq', type: 'string'},
        { mapping:'img_der', name:'img_der', type: 'string'},
        { mapping:'cod_moneda', name:'cod_moneda', type: 'string'},
        { mapping:'bd', name:'bd', type: 'string'},
        { mapping:'bd_contabilidad', name:'bd_contabilidad', type: 'string'},
        { mapping:'bd_nomina', name:'bd_nomina', type: 'string'},
        { mapping:'admis_activo', name:'admis_activo', type: 'int'},
        { mapping:'contab_activo', name:'contab_activo', type: 'int'},
        { mapping:'nomina_activo', name:'nomina_activo', type: 'int'}
];
                    
Ext.form.VTypes["timeVal"] = /^([0-9]|1[0-9]|2[0-3]):([0-5][0-9])$/i;
Ext.form.VTypes["timeMask"] = /[\d\s:amp]/i;
Ext.form.VTypes["timeText"] = "Not a valid time.  Must be in the format hh:mm.";
Ext.form.VTypes["time"] = function(v){
    return Ext.form.VTypes["timeVal"].test(v);
}  

Ext.apply(Ext.form.VTypes, {
     'cedula': function(){
         var re = /^[VE][-][0-9]{8}$/;
         return function(v){
             return re.test(v);
         }
     }(),
     'cedulaText' : 'El n\u00fAmero de c\u00E9dula parece ser un campo invalido'
});

Ext.apply(Ext.form.VTypes, {
     'hora': function(){
         //var re = /^([0-9]|1[0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])$/i;
         var re = /^([0-1][0-9]):([0-5][0-9]):([0-5][0-9])$/i;
         return function(v){
             return re.test(v);
         }
     }(),
     'horaText' : 'El n\u00fAmero de c\u00E9dula parece ser un campo invalido'
     //,'horaMask' : /[\dd\s:amp]/i
});
